# Istio System Kustomization
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

# 배포 순서 정의
sortOptions:
  order: legacy
  legacySortOptions:
    orderFirst:
    - Namespace
    - CustomResourceDefinition
    - ServiceAccount
    - ClusterRole
    - ClusterRoleBinding
    - ConfigMap
    - Secret
    - Service
    orderLast:
    - ValidatingWebhookConfiguration
    - MutatingWebhookConfiguration
    - Deployment

resources:
# 1. CRDs 먼저
- ../../common/istio-1-24/istio-crds/base
# 2. Namespace
- ../../common/istio-1-24/istio-namespace/base
# 3. Istio 설치
- ../../common/istio-1-24/istio-install/overlays/oauth2-proxy
# 4. 클러스터 로컬 게이트웨이
- ../../common/istio-1-24/cluster-local-gateway/base
